aboutsummaryrefslogtreecommitdiffstats
path: root/core/openrc/modloop.initd
diff options
context:
space:
mode:
Diffstat (limited to 'core/openrc/modloop.initd')
-rw-r--r--core/openrc/modloop.initd4
1 files changed, 2 insertions, 2 deletions
diff --git a/core/openrc/modloop.initd b/core/openrc/modloop.initd
index 4ef2c4c008..c32e1f49f5 100644
--- a/core/openrc/modloop.initd
+++ b/core/openrc/modloop.initd
@@ -59,14 +59,14 @@ start() {
ebegin "Mounting loopback device for kernel modules"
if [ -z "$alpine_mounted" ]; then
- mount $mount_opts $alpine_dev $alpine_mnt 2>/dev/null
+ mount $mount_opts /dev/$alpine_dev $alpine_mnt 2>/dev/null
fi
mkdir -p /.modloop /lib
mount -o loop,ro -t cramfs $alpine_mnt/$modloop /.modloop &&\
rm -rf /lib/modules &&\
ln -sf /.modloop/modules /lib/
- eend $?
+ eend $? || return 1
# copy firmware if there are any
if [ -d $alpine_mnt/firmware ]; then